public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-wm/herbstluftwm/
Date: Sat,  5 Jun 2021 21:28:46 +0000 (UTC)	[thread overview]
Message-ID: <1622928417.f23a9019ac3062f86ef25b2a87a0f44aa1cf01b9.sam@gentoo> (raw)

commit:     f23a9019ac3062f86ef25b2a87a0f44aa1cf01b9
Author:     Florian Schmaus <flo <AT> geekplace <DOT> eu>
AuthorDate: Mon May  3 17:06:20 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jun  5 21:26:57 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f23a9019

x11-wm/herbstluftwm: sync -9999 with latest release ebuild

Signed-off-by: Florian Schmaus <flo <AT> geekplace.eu>
Closes: https://github.com/gentoo/gentoo/pull/20672
Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-wm/herbstluftwm/herbstluftwm-9999.ebuild | 67 +++++++++++++++++++++++++---
 1 file changed, 61 insertions(+), 6 deletions(-)

diff --git a/x11-wm/herbstluftwm/herbstluftwm-9999.ebuild b/x11-wm/herbstluftwm/herbstluftwm-9999.ebuild
index 28d103f5405..f374bfa2fc7 100644
--- a/x11-wm/herbstluftwm/herbstluftwm-9999.ebuild
+++ b/x11-wm/herbstluftwm/herbstluftwm-9999.ebuild
@@ -3,40 +3,64 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{7,8,9} )
+PYTHON_COMPAT=( python3_{7..10} )
+DISTUTILS_OPTIONAL=1
 
-inherit cmake git-r3 python-any-r1 toolchain-funcs
+inherit cmake distutils-r1 toolchain-funcs
 
 DESCRIPTION="A manual tiling window manager for X"
 HOMEPAGE="https://herbstluftwm.org/"
-EGIT_REPO_URI="https://github.com/herbstluftwm/herbstluftwm"
+
+if [[ "${PV}" == "9999" ]] || [[ -n "${EGIT_COMMIT_ID}" ]]; then
+	EGIT_REPO_URI="https://github.com/herbstluftwm/herbstluftwm"
+	inherit git-r3
+else
+	SRC_URI="https://herbstluftwm.org/tarballs/${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
 
 LICENSE="BSD-2"
 SLOT="0"
-IUSE="doc examples"
+IUSE="+doc python"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
 
 DEPEND="
+	media-libs/freetype
 	x11-libs/libX11
 	x11-libs/libXext
+	x11-libs/libXft
 	x11-libs/libXinerama
 	x11-libs/libXrandr
 "
 RDEPEND="
 	${DEPEND}
 	app-shells/bash
+	python? ( ${PYTHON_DEPS} )
 "
 BDEPEND="
 	${PYTHON_DEPS}
 	virtual/pkgconfig
-	doc? ( app-text/asciidoc )
 "
 
+if [[ -n "${EGIT_REPO_URI}" ]]; then
+	# Herbstluftwm tarballs ship with pre-compiled documentation, only
+	# if we build from git asciidoc is needed.
+	BDEPEND+=" doc? ( app-text/asciidoc )"
+fi
+
 src_prepare() {
+	# Do not install LICENSE and respect CMAKE_INSTALL_DOCDIR.
 	sed -i \
 		-e '/^install.*LICENSEDIR/d' \
 		-e '/set(DOCDIR / s#.*#set(DOCDIR ${CMAKE_INSTALL_DOCDIR})#' \
 		CMakeLists.txt || die
 	cmake_src_prepare
+
+	if use python; then
+		pushd "${S}"/python > /dev/null || die
+		distutils-r1_src_prepare
+		popd > /dev/null || die
+	fi
 }
 
 src_configure() {
@@ -49,10 +73,41 @@ src_configure() {
 	cmake_src_configure
 }
 
+src_compile() {
+	cmake_src_compile
+
+	if use python; then
+		pushd python > /dev/null || die
+		distutils-r1_src_compile
+		popd >/dev/null || die
+	fi
+}
+
 src_install() {
 	cmake_src_install
 
-	if ! use examples; then
+	if ! use doc; then
 		rm -r "${ED}"/usr/share/doc/${PF}/examples || die
 	fi
+
+	if use python; then
+		pushd python > /dev/null || die
+		distutils-r1_src_install
+		popd > /dev/null || die
+	fi
+
+	# The man pages exists in src_install either in non-live ebuilds,
+	# since they are then shipped pre-compiled in herbstluftwm's
+	# release tarbal. Or they exist in live ebuilds if the 'doc' USE
+	# flag is enabled.
+	if [[ "${PV}" != 9999 ]] || use doc; then
+		local man_pages=(
+			herbstluftwm.1
+			herbstclient.1
+			herbstluftwm-tutorial.7
+		)
+		for man_page in "${man_pages[@]}"; do
+			doman "doc/${man_page}"
+		done
+	fi
 }


             reply	other threads:[~2021-06-05 21:28 UTC|newest]

Thread overview: 65+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-06-05 21:28 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-31 11:27 [gentoo-commits] repo/gentoo:master commit in: x11-wm/herbstluftwm/ Florian Schmaus
2024-04-03 19:17 Florian Schmaus
2024-04-03 19:17 Florian Schmaus
2024-04-03 19:17 Florian Schmaus
2023-10-14 15:20 Florian Schmaus
2023-09-18  9:34 Florian Schmaus
2023-07-16 16:40 Florian Schmaus
2023-01-31 11:18 Florian Schmaus
2022-10-27 20:15 Florian Schmaus
2022-10-27 20:15 Florian Schmaus
2022-09-26 16:44 Florian Schmaus
2022-06-13  9:06 Florian Schmaus
2022-06-13  9:06 Florian Schmaus
2022-05-30  7:20 Florian Schmaus
2022-05-30  7:20 Florian Schmaus
2022-04-13 14:46 Sam James
2021-07-28  8:37 Florian Schmaus
2021-07-12  7:25 Florian Schmaus
2021-07-07 11:59 Florian Schmaus
2021-07-07 11:59 Florian Schmaus
2021-06-24  6:59 Florian Schmaus
2021-06-23 12:48 Florian Schmaus
2021-06-22  6:34 Florian Schmaus
2021-06-05 21:28 Sam James
2021-06-05 21:28 Sam James
2021-04-11  7:43 Joonas Niilola
2021-01-28  7:36 Joonas Niilola
2021-01-28  7:36 Joonas Niilola
2020-12-01 14:01 Andrey Utkin
2020-12-01 13:49 Andrey Utkin
2020-12-01 13:49 Andrey Utkin
2020-12-01 13:49 Andrey Utkin
2020-12-01 13:49 Andrey Utkin
2020-12-01 13:49 Andrey Utkin
2020-12-01 13:49 Andrey Utkin
2020-12-01 13:49 Andrey Utkin
2020-06-08  8:28 Jeroen Roovers
2020-06-07 11:15 Jeroen Roovers
2020-06-07  0:09 Jeroen Roovers
2020-06-05  5:44 Jeroen Roovers
2020-06-05  5:44 Jeroen Roovers
2020-05-04 20:58 Jeroen Roovers
2020-04-21  8:28 Jeroen Roovers
2020-04-21  5:39 Jeroen Roovers
2020-04-09 20:07 Jeroen Roovers
2020-04-07  7:00 Jeroen Roovers
2020-02-06 11:14 Jeroen Roovers
2020-02-06 11:13 Jeroen Roovers
2019-12-29 12:43 Jeroen Roovers
2019-12-29 12:43 Jeroen Roovers
2019-12-06 11:10 Jeroen Roovers
2019-11-19  6:37 Jeroen Roovers
2019-11-18 22:35 Tim Harder
2019-11-18 22:35 Tim Harder
2019-11-17 22:10 Tim Harder
2019-11-17 22:10 Tim Harder
2019-06-07  8:11 Tim Harder
2018-12-11  8:20 Tim Harder
2018-12-08 22:17 Patrice Clement
2017-05-04  8:54 Tim Harder
2017-05-04  8:54 Tim Harder
2017-05-04  8:54 Tim Harder
2016-04-09  2:18 Tim Harder
2015-09-15 12:54 Michael Weber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1622928417.f23a9019ac3062f86ef25b2a87a0f44aa1cf01b9.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox